Aspose.Cells Cloud Web API - Extract text
Contents
[
Hide
]
Indicates extracting substrings, text characters, and numbers from a spreadsheet cell into another cell without having to use complex FIND, MIN, LEFT, or RIGHT formulas.
ExtractText API
PUT http://api.aspose.cloud/v4.0/cells/content/extract/text
The request parameters of extractText API are
| Parameter Name | Type | Path/Query String/HTTPBody | Description |
|---|---|---|---|
| Spreadsheet | File | FormData | Upload spreadsheet file. |
| extractTextType | String | Query | Indicates extract text type. |
| beforeText | String | Query | Indicates extracting the text before the specified characters or substrings. |
| afterText | String | Query | Indicates extracting the text after the specified characters or substrings. |
| beforePosition | Integer | Query | Indicates retrieving the first character or a specified number of characters from the left side of the selected cell. |
| afterPosition | Integer | Query | Indicates retrieving the first character or a specified number of characters from the right side of the selected cell. |
| outPositionRange | String | Query | Indicates the output location for the extracted text. |
| worksheet | String | Query | Specify the worksheet of spreadsheet. |
| range | String | Query | Specify the worksheet range of spreadsheet. |
| outPath | String | Query | (Optional) The folder path where the workbook is stored. The default is null. |
| outStorageName | String | Query | Output file Storage Name. |
| region | String | Query | The spreadsheet region setting. |
| password | String | Query | The password for opening spreadsheet file. |
Response
{
File
}
Error Codes
- 400 Bad Request: Invalid Apose.Cells Cloud API URI.
- 401 Unauthorized: Invalid access token. Or invalid client id and secret.
- 404 Not Found: The spreadsheet file not accessible.
- 500 Server Error: The spreadsheet has encountered an anomaly in obtaining calculation data.
Where should we use the move Local Spreadsheet API?
Why should you use the Merge Local Spreadsheet API?
OpenAPI Specification
The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.
Use Aspose.Cells Cloud SDKs
Using the SDK is the best way to accelerate development. The SDK handles the underlying details, allowing you to simply implement Extract text for cells with minimal code. Please check out the GitHub repository for a complete list of Aspose.Cells Cloud SDKs.
The following code examples illustrate how to make calls to Aspose.Cells web services using various SDKs: